%define module_version 0.03
%define module_name Gearman-Starter
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN/Meta.pm) perl(CPAN/Meta/Prereqs.pm) perl(Class/Accessor/Lite.pm) perl(Class/Inspector.pm) perl(File/Which.pm) perl(Filesys/Notify/Simple.pm) perl(Gearman/Client.pm) perl(Gearman/Worker.pm) perl(Getopt/Long.pm) perl(Hash/Rename.pm) perl(IO/Socket/INET.pm) perl(List/Util.pm) perl(Module/Build.pm) perl(Module/Load.pm) perl(Net/EmptyPort.pm) perl(Parallel/Prefork.pm) perl(Parallel/Scoreboard.pm) perl(Pod/Usage.pm) perl(Storable.pm) perl(Test/More.pm) perl(Test/TCP.pm) perl(String/CRC32.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: Gearman workers launcher with register functions
Group: Development/Perl
License: perl
URL: https://github.com/tokuhirom/gearman-starter.pl

Source0: http://cpan.org.ua/authors/id/S/SO/SONGMU/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
%summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc LICENSE README.md Changes
%perl_vendor_privlib/G*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
* Thu Jul 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- regenerated from template by package builder

* Tue Mar 11 2014 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

